
Redmine - Feature #2871

Sort issues by multiple columns

2009-03-01 16:24 - Markus Knittig

Status: Closed Start date: 2009-03-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

If I click on a column header label, the previous sorting gets lost. Redmine should memorize previous sortings and use them to sort

by multiple columns.

Related issues:

Has duplicate Redmine - Feature #2915: Ticket sorting Closed 2009-03-05

Associated revisions

Revision 2571 - 2009-03-10 22:11 - Jean-Philippe Lang

SortHelper refactoring:

multiple columns sort feature (#2871)

CSS classes instead of an image tag to reflect the state of the column

examples fixed (#2945)

History

#1 - 2009-03-03 06:12 - Vasia Pupkin

+1

#2 - 2009-03-10 22:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r2571. The last 3 clicked columns are now used to sort lists.

#3 - 2009-03-12 17:25 - Markus Knittig

Great work! I mirror feature request. I think it would be good if the user could see the current sorting sorting, like in JIRA (except on the right sidebar,

instead of the left). E.g.:

Sorted by: Status descending, then Reporter ascending, then Assignee ascending
